dnl
dnl $ Id: $
dnl
 
PHP_ARG_WITH(zeroconf, for zeroconf support,
[  --with-zeroconf[=DIR]     With zeroconf support])

if test "$PHP_ZEROCONF" != "no"; then
  PHP_ZEROCONF_SOURCES="zeroconf.c"
  ZEROCONF_LIB_EXTRAS=""

  case $host in
    *darwin*)
      PHP_ADD_FRAMEWORK(CoreFoundation)
      PHP_ADD_FRAMEWORK(DirectoryServices)

      dnl Must include dnssd_clientlib.c compatibility code from
      dn mDNSResponder in order to have access to TXT* functions in
      dnl OSX < 10.4
      AC_MSG_CHECKING(Mac OS X version)
      PHP_ZEROCONF_OSX_VER_MAJOR=`sw_vers -productVersion | cut -d. -f1`
      PHP_ZEROCONF_OSX_VER_MINOR=`sw_vers -productVersion | cut -d. -f2`
      AC_MSG_RESULT("$PHP_ZEROCONF_OSX_VER_MAJOR.$PHP_ZEROCONF_OSX_VER_MINOR")

      if test $PHP_ZEROCONF_OSX_VER_MAJOR -eq 10 -a $PHP_ZEROCONF_OSX_VER_MINOR -lt 4
      then
		  PHP_ZEROCONF_SOURCES="$PHP_ZEROCONF_SOURCES dnssd_clientlib_compat.c"
      fi

      ;;
    *linux*)
      if test -r "$PHP_ZEROCONF/include/dns_sd.h"; then
	    PHP_ZEROCONF_DIR="$PHP_ZEROCONF"
      else
	    AC_MSG_CHECKING(for dnssd in default path)
       for i in /usr/local /usr; do
	      if test -r "$i/include/dns_sd.h"; then
		    PHP_ZEROCONF_DIR=$i
		    AC_MSG_RESULT(found in $i)
	      fi
       done
      fi
      PHP_SUBST(ZEROCONF_SHARED_LIBADD)
      PHP_ADD_INCLUDE($PHP_ZEROCONF_DIR/include)
      PHP_ADD_LIBRARY_WITH_PATH(dns_sd, $PHP_ZEROCONF_DIR/lib, ZEROCONF_SHARED_LIBADD)
      ;;
  esac

  AC_DEFINE(HAVE_ZEROCONF, 1, [ ])
  PHP_NEW_EXTENSION(zeroconf, $PHP_ZEROCONF_SOURCES, $ext_shared)
fi

